{ config, lib, ... }:
with lib;
let
  cfg = config.mjallen.programs.mako;
  nord = import (lib.snowfall.fs.get-file "modules/home/desktop/theme/nord.nix");
in
{
  imports = [ ./options.nix ];
  config = mkIf cfg.enable {
    services.mako = {
      enable = true;
      settings = {
        font = cfg.fontName;
        icons = true;
        ignore-timeout = true;
        sort = "-time";
        width = 500;
        height = 110;
        layer = "overlay";
        border-radius = 15;
        border-size = 1;
        max-icon-size = 64;
        default-timeout = 5000;

        background-color = nord.polarNight.nord0;
        text-color = nord.snowStorm.nord6;
        border-color = nord.frost.nord10;
        progress-color = "over ${nord.frost.nord8}";
      };
    };
  };
}
